Неправильная токен-сессия. Авторизуйтесь снова.

Тема в разделе "CPA Import v2.x", создана пользователем emince, 11 янв 2016.

  1. Этот сайт использует файлы cookie. Продолжая пользоваться данным сайтом, Вы соглашаетесь на использование нами Ваших файлов cookie. Узнать больше.
  2. Приветствую, уважаемые, многие просили о скидках в преддверии последнего звонка. Честное слово, я хз, к чему бы это )) 

    До 30 Мая, скидка 30%:

    MassSiteProxy 1х. Скриипт массово копирования сайтов Теперь с переводчиком. 

    CPA GEN 1х. Скрипт генерации белых дорвеев Бунусом подарю 2 блоговых шаблона для новых покупателей. 

    Thunder 3.x Генератор дорвеев

    Промо коды пачка на Всех))) Действительны всего 5 дней. 


    16A797CDF4984EBA
    E0E353B0526543EC
    66CF2994C3F6428D
    BAB10BEC1506440E
    117E2530B6C243AB
    3B5D715381F34022
    3B5DF499651D47A4
    4D351AB438E5473A

    Партнерская программа для дорвейщиков - до 30% с продажи.

  1. emince

    emince Новичок

    10 янв 2016
    1
    0
    Мужской
    Не могу войти в админку модуля, не на локальной машине, не на хостинге. При входе в админку модуля /site.ru/import/ идет переадресация на /site.ru/admin/ и ошибка "Неправильная токен-сессия. Авторизуйтесь снова. " все перепробовал, ничего не получается. Что делать дальше ?

    P.S. в админку OCStore захожу без проблем.
     
  2. Firestarter

    Firestarter Администратор
    Команда форума

    26 окт 2015
    1.242
    559
    На почту отписался что к чему - вы установили ваерсию 2.0х а нужно было установить 15512 как написано в мануале. Но, вы говорили что купленный шаблон у вас по 2.х? Отписался вам на почту. Буду пробовать разбираться что к чему.
     
  3. Horus

    Horus Новичок

    6 апр 2016
    19
    2
    Мужской
    Тож самое на версиях v2.1.0.2.1 и v2.1.0.2 плагин версии 2.59
     
  4. Firestarter

    Firestarter Администратор
    Команда форума

    26 окт 2015
    1.242
    559
    Можно решить так:
    В файле \import\system\classes\controller.php

    закомментировать строки 8-12 включительно:
    чтобы стало вот так:
    Код:
            // $user_id = isset($_SESSION['user_id'])?$_SESSION['user_id']:'0';
            // if ($user_id==0){
                // echo '<META HTTP-EQUIV="Refresh" Content="0; URL='.HTTP_SERVER.'admin/">';
                // exit;           
            // }
     
  5. babay062

    babay062 Новичок

    10 май 2016
    2
    0
    Мужской
    v2.1.0.2 плагин версии 2.59 вчера приобрел. То же самое что у ребят выше. Закомментировал строки 8-12 включительно получил вот это:

    Fatal error: Uncaught exception 'PDOException' with message 'could not find driver' in J:\OpenServer\domains\cosmetikhit.ru\import\system\vendor\idiorm.php:228 Stack trace: #0 J:\OpenServer\domains\cosmetikhit.ru\import\system\vendor\idiorm.php(228): PDO->__construct('mysqli:host=loc...', 'babay062', 'b210662y', Array) #1 J:\OpenServer\domains\cosmetikhit.ru\import\system\vendor\idiorm.php(210): ORM::_setup_db('default') #2 J:\OpenServer\domains\cosmetikhit.ru\import\application\classes\controller\main.php(18): ORM::for_table('oc_category') #3 [internal function]: Main->action_index('index') #4 J:\OpenServer\domains\cosmetikhit.ru\import\system\classes\route.php(80): ReflectionMethod->invokeArgs(Object(Main), Array) #5 J:\OpenServer\domains\cosmetikhit.ru\import\application\bootstrap.php(55): Route::run() #6 J:\OpenServer\domains\cosmetikhit.ru\import\index.php(26): require('J:\OpenServer\d...') #7 {main} thrown in J:\OpenServer\domains\cosmetikhit.ru\import\system\vendor\idiorm.php on line 228

    Подскажите что делать.
     
  6. Firestarter

    Firestarter Администратор
    Команда форума

    26 окт 2015
    1.242
    559
    В config.php и admin/config.php

    Было:
    define('DB_DRIVER', 'mysqli');

    Установите:
    define('DB_DRIVER', 'mysql');
     
  7. babay062

    babay062 Новичок

    10 май 2016
    2
    0
    Мужской
    Спасибо!
     
  8. den2776

    den2776 Новичок

    18 ноя 2016
    7
    2
    Мужской
    Установил как показано define('DB_DRIVER', 'mysql'); Получил ошибку Deprecated: mysql_connect(): The mysql extension is deprecated and will be removed in the future: use mysqli or PDO instead in /home/online/public_html/kupit1.ru/system/library/db/mysql.php on line 7
    Warning: session_start(): Cannot send session cache limiter - headers already sent (output started at /home/online/public_html/kupit1.ru/system/library/db/mysql.php:7) in /home/online/public_html/kupit1.ru/system/library/session.php on line 21. И так же перекидывает на авторизацию
     
  9. Firestarter

    Firestarter Администратор
    Команда форума

    26 окт 2015
    1.242
    559
    Приветствую. Если есть возможность установите версию пшп до 5.4
     
  10. den2776

    den2776 Новичок

    18 ноя 2016
    7
    2
    Мужской
    Вопрос решился все выше перечисленные шаги+ изменил пшп на версию 5.3 спасибо
     
    Firestarter нравится это.
  11. henzo

    henzo Новичок

    26 авг 2016
    2
    0
    Мужской
    Пишет такую ошибку при импорте: http://henzo.org/openfix.jpg
    Есть идеи как пофиксить? Вроде в csv файле все верно прописал и Обязательные параметры в return array в csv конфиге прописаны верно и все они присутствуют в csv файле импорта и версию пхп 5.3 специально поставил.